pw_link_info Struct Reference
Core API » Link

The link information. More...

## Data Fields

uint32_t | id
| id of the global More...
uint32_t | output_node_id
| server side output node id More...
uint32_t | output_port_id
| output port id More...
uint32_t | input_node_id
| server side input node id More...
uint32_t | input_port_id
| input port id More...
uint64_t | change_mask
| bitfield of changed fields since last call More...
enum pw_link_state | state
| the current state of the link More...
const char * | error
| an error reason if state is error More...
struct spa_pod * | format
| format over link More...

## Detailed Description

The link information.

Extra information can be added in later versions

## Field Documentation

## id

uint32_t pw_link_info::id

id of the global

## output_node_id

uint32_t pw_link_info::output_node_id

server side output node id

## output_port_id

uint32_t pw_link_info::output_port_id

output port id

## input_node_id

uint32_t pw_link_info::input_node_id

server side input node id

## input_port_id

uint32_t pw_link_info::input_port_id

input port id

## change_mask

uint64_t pw_link_info::change_mask

bitfield of changed fields since last call

## state

enum pw_link_state pw_link_info::state

the current state of the link

## error

const char* pw_link_info::error

an error reason if state is error

## format

struct spa_pod* pw_link_info::format

format over link

The documentation for this struct was generated from the following file:

- pipewire/link.h